# 获取定投列表

`GET` `/v1/dailycoins/query`

:::warning 仅支持 Longbridge 香港 / 新加坡账户
此方法仅支持 Longbridge 香港 / 新加坡账户，可操作任意标的，包括美股。
:::

获取当前用户的所有定投（DCA）计划。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | string | No | 按计划状态筛选：`Active`、`Suspended`、`Finished`。 |
| `symbol` | string | No | 按标的代码筛选，如 `AAPL.US`。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/dailycoins/query' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `plans` | object[] | Yes | 定投计划列表， |
| `└ plan_id` | string | Yes | 定投计划 ID |
| `└ symbol` | string | Yes | 证券代码 |
| `└ stock_name` | string | No | 标的名称 |
| `└ market` | string | No | 市场 |
| `└ status` | string | No | 计划状态：`Active`（进行中）、`Suspended`（已暂停）、`Finished`（已结束） |
| `└ per_invest_amount` | string | No | 每次投入金额 |
| `└ invest_frequency` | string | No | 投资频率：`Daily`、`Weekly`、`Fortnightly`、`Monthly` |
| `└ invest_day_of_week` | string | No | 每周扣款日 |
| `└ invest_day_of_month` | string | No | 每月扣款日 |
| `└ next_trd_date` | string | No | 下次交易日 |
| `└ cum_amount` | string | No | 累计投入金额 |
| `└ cum_profit` | string | No | 累计盈亏 |
| `└ average_cost` | string | No | 平均持仓成本 |
| `└ allow_margin_finance` | boolean | No | 是否允许融资 |
| `└ alter_hours` | string | No | 提前提醒小时数 |
| `└ display_account` | string | No | 账户显示名称 |
| `└ account_channel` | string | No | 账户渠道 |
| `└ aaid` | string | No | 账户资产 ID |
| `└ member_id` | string | No | 用户 ID |
| `└ issue_number` | string | No | 已执行次数 |
| `└ created_at` | string | No | 创建时间 |
| `└ updated_at` | string | No | 最后更新时间 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "plans": [
      {
        "plan_id": "1239402174908207104",
        "symbol": "AAPL.US",
        "stock_name": "Apple Inc.",
        "market": "US",
        "status": "Active",
        "per_invest_amount": "100",
        "invest_frequency": "Monthly",
        "invest_day_of_month": "15",
        "invest_day_of_week": "",
        "next_trd_date": "1778853600",
        "cum_amount": "0",
        "cum_profit": "0",
        "average_cost": "0",
        "allow_margin_finance": false,
        "alter_hours": "6",
        "display_account": "LBPT10065023",
        "member_id": "3162",
        "aaid": "20975338",
        "account_channel": "lb_papertrading",
        "issue_number": 0,
        "created_at": "1778725628",
        "updated_at": "1778725628"
      }
    ]
  }
}
```
